#!/bin/sh
#-------------------------------------------------------------------------------
# エンコーディングに関する更新処理
#  処理内容は次の通り
#   1) ./ja-euc  ./ja-sjis  にencoding変換してコピーする
#   2) ./ja-euc  ./ja-utf8  にencoding変換してコピーする
#
#  日付をチェックし、必要なファイルのみコピーする
#-------------------------------------------------------------------------------

p="."

function conv {
  if [ ! -e ./ja-sjis/$1 ] || [ ./ja-euc/$1 -nt ./ja-sjis/$1 ]; then
    echo 'nkf -Es <./ja-euc/'$1 '>./ja-sjis/'$1
    nkf -Es <./ja-euc/$1 |
    gawk '{gsub(/\\[\x80-\xff]/,"\\\\&");print $0}' >./ja-sjis/$1
  fi

  if [ ! -e ./ja-utf8/$1 ] || [ ./ja-euc/$1 -nt ./ja-utf8/$1 ]; then
    echo 'iconv -f euc-jp -t utf-8 <./ja-euc/'$1 '>./ja-utf8/'$1
    iconv -f euc-jp -t utf-8 <./ja-euc/$1 >./ja-utf8/$1
  fi
}


for fname in `ls ./ja-euc/*.sh`; do
  f=${fname##*/}
  conv $f
done
